<?php
require_once('config.php');
require_once('utility_image.php');

$error_message;
$valid = true;
$json_return = array();

//$sql = "Select rowid, attachment, file_name from wko_ref where mst_rowid = ".$_REQUEST['rowid'];

$site_cd = $_REQUEST['site_cd'];
$rowid= $_REQUEST['rowid'];

$MobileURL = $_REQUEST['url'];
$Folder = $_REQUEST['folder'];
$dvc_id = $_REQUEST['dvc_id'];

$MobileURLFullSize = $MobileURL . "/temp_".$dvc_id."/";
$MobileURLTnSize = $MobileURL . "/temp_".$dvc_id."/thumbnail/";

$exportdir = "C:\\wamp64\\www\\". $Folder ."\\temp_".$dvc_id."\\";
$exportdirtn = "C:\\wamp64\\www\\". $Folder ."\\temp_".$dvc_id."\\thumbnail\\";



$sql = "SELECT rowid, attachment, file_name FROM itm_ref(NOLOCK) where site_cd ='".$site_cd."' and mst_RowID ='".$rowid."'";

$stmt = sqlsrv_query($conn, $sql);
//echo  $sql;
if (!$stmt) {
     $error_message = "Error selecting table (itm_ref)";
		returnError($error_message);
     die(print_r(sqlsrv_errors(), true));
}

$mime = null;
$json_img_link = array();
do {
     while ($row = sqlsrv_fetch_array($stmt, SQLSRV_FETCH_ASSOC)) {
          $Photo = $row['attachment'];
          $fileName = $row['file_name'];
          $rowid = $row['rowid'];
		  
          if (strpos($fileName, 'jpg') == true){
               $mime = 'image/jpg';
          }

          if (strpos($fileName, 'jpeg') == true){
               $mime = 'image/jpeg';
          }

          if (strpos($fileName, 'gif') == true){
               $mime = 'image/gif';
          }

          if (strpos($fileName, 'png') == true){
               $mime = 'image/png';
          }
   
        /*   $exportFullPathFileName = $exportdir.$fileName;
          $exportFullPathTNFileName = $exportdirtn.$fileName;
		  
		  //echo $exportdir;
          // echo $exportFullPathTNFileName;
		  
          $publicFullPathFileName = $MobileURLFullSize.$fileName;		  
          $publicFullPathTNFileName = $MobileURLTnSize.$fileName; */
	      
		  // $publicFullPathFileName = $URL.$fileName;		  
          // $publicFullPathTNFileName = $URLtn.$fileName;	  
		   //echo $URL;

          //Export and create full size file
		  
		  $exportFullPathFileName = $exportdir.$fileName;
          $exportFullPathTNFileName = $exportdirtn.$fileName;
		  
		 /// echo $exportdir;
           //echo $exportFullPathTNFileName;
		  
          $publicFullPathFileName = $MobileURLFullSize.$fileName;		  
          $publicFullPathTNFileName = $MobileURLTnSize.$fileName;
	      
		   $publicFullPathFileName = $MobileURLFullSize.$fileName;		  
           $publicFullPathTNFileName = $MobileURLTnSize.$fileName;
		   
		  
		  If ($file = fopen($exportFullPathFileName,"w")) {
			 if (fwrite($file, $Photo)==false) {
				 echo "Error Write Files";
			 }
			 fclose($file);
		  }
		  
          //$file = fopen($exportFullPathFileName,"w");         
          //fwrite($file, $Photo);
          //fclose($file);

          //Export and create thumbnail size file
          $file = fopen($exportFullPathTNFileName,"w"); 
		  
		  if (file_exists($exportFullPathFileName)) {
			  list($width, $height, $type) = getimagesize($exportFullPathFileName);
				$imageObject = load_image($exportFullPathFileName, $type);
				# Get exif information
				//$exif = exif_read_data($exportFullPathFileName);
				$exif = exif_imagetype($exportFullPathFileName);
		  }else {
				echo "File not exist";
				}	

		if (!empty($exif['Orientation'])) {
				# Get orientation
				
				$orientation = $exif['Orientation'];
			}else{
				$orientation = 0 ;
				//echo "0";
			}
		  
		  switch ($orientation) {
				case 2:
					imageflip($imageObject, IMG_FLIP_HORIZONTAL);
					break;
				case 3:
					$imageObject = imagerotate($imageObject, 180, 0);
					break;
				case 4:
					imageflip($imageObject, IMG_FLIP_VERTICAL);
					break;
				case 5:
					$imageObject = imagerotate($imageObject, -90, 0);
					imageflip($imageObject, IMG_FLIP_HORIZONTAL);
					break;
				case 6:
					$imageObject = imagerotate($imageObject, -90, 0);
					break;
				case 7:
					$imageObject = imagerotate($imageObject, 90, 0);
					imageflip($imageObject, IMG_FLIP_HORIZONTAL);
					break;
				case 8:
					$imageObject = imagerotate($imageObject, 90, 0); 
					break;
			}
		  
		  
			# Write image
			imagejpeg($imageObject, $exportFullPathTNFileName, 20);
		  
          fclose($file);
		  
         /*  $image = imagecreatefromjpeg($exportFullPathFileName);
          imagejpeg($image, $exportFullPathTNFileName, 20);
          fclose($file); */

          //echo $publicFullPathFileName;
          $json_img_link['rowid'] = $rowid;
          $json_img_link['type'] = 'image';
		  $json_img_link['file_name'] = $fileName;
          $json_img_link['thumbnail_link'] = $publicFullPathTNFileName;
          $json_img_link['full_size_link'] = $publicFullPathFileName;
          $json_img_link['file_source'] = 'server';
          array_push($json_return, $json_img_link);

     }
} while (sqlsrv_next_result($stmt));

echo returnData($json_return);

function returnData($json){
	$returnData = array(
	'status' => 'SUCCESS',
	'message' => 'Inventory Location Attachment Retrieve Successfully',
	'data' => $json);
	
	echo json_encode($returnData);
}

function returnError($error_message){
	$json = array();
	
	$returnData = array(
	'status' => 'ERROR',
	'message' => $error_message,
	'data' => $json);
	
	echo json_encode($returnData);
	
	sqlsrv_free_stmt( $stmt);
	sqlsrv_close( $conn);	
		
	exit();
}

// $b64Src = "data:" . $mime . ";base64," . base64_encode($Photo);
// echo '<img src="' . $b64Src . '" alt="" />';

sqlsrv_free_stmt($stmt);
sqlsrv_close($conn);
